[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#280372: installs IP22 binary on IP32

Package: arcboot-installer
Version: 1.0

arcboot uses /proc to decide whether to install the IP22 or IP32
binary.  Unfortunately, /proc is not mounted in the chroot when
arcboot is installed so it will always install the IP22 binary.  Below
is a patch which works for me.  Thiemo, ok to apply?

Index: arcboot-installer.postinst
--- arcboot-installer.postinst	(revision 23323)
+++ arcboot-installer.postinst	(working copy)
@@ -60,8 +60,11 @@
 # which is still empty. We ignore the resulting apt-install error and do the
 # install ourself. If apt-install fails for a different reason, we are lost.
 set +e
+# mount proc since arcboot needs it to decide between IP22 and IP32
+mount -t proc none /target/proc || true
 apt-install arcboot
 chroot /target /usr/sbin/arcboot $bootdev
+umount /target/proc || true
 set -e
 #if ! apt-install arcboot; then

Martin Michlmayr

Reply to: